Loading...
Searching...
No Matches
casacore::UnequalShapeCopier< T > Class Template Reference
casa package (libcasa_casa) » Containers_module » Containers_module_internal_classes

Unequal shape copier. More...

`#include <RecordFieldWriter.h>`

## Public Member Functions

| UnequalShapeCopier (RecordInterface &outRecord, RecordFieldId whichOutField, const RecordInterface &inRecord, RecordFieldId whichInField)
virtual void | writeField ()
Public Member Functions inherited from casacore::RecordFieldWriter
virtual | ~RecordFieldWriter ()

## Private Attributes

RecordFieldPtr< Array< T > > | out_p
RORecordFieldPtr< Array< T > > | in_p

## Detailed Description

template<class T>
class casacore::UnequalShapeCopier< T >

Unequal shape copier.

### Intended use:

Internal

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Etymology

Copy fields where the two fields fields do not have the same shape, however, the number of elements must match. Copying is done element by element in vector order.

### Motivation

Sometimes the shapes need to change even though the number of elements stays the same.

Definition at line 122 of file RecordFieldWriter.h.

## Constructor & Destructor Documentation

## UnequalShapeCopier()

template<class T>

casacore::UnequalShapeCopier< T >::UnequalShapeCopier | ( | RecordInterface & | outRecord,
|  | RecordFieldId | whichOutField,
|  | const RecordInterface & | inRecord,
|  | RecordFieldId | whichInField )

References casacore::RecordInterface().

## Member Function Documentation

## writeField()

template<class T>

virtual void casacore::UnequalShapeCopier< T >::writeField | ( |  | ) |

virtual

Implements casacore::RecordFieldWriter.

## Member Data Documentation

## in_p

template<class T>

RORecordFieldPtr<Array<T> > casacore::UnequalShapeCopier< T >::in_p

private

Definition at line 132 of file RecordFieldWriter.h.

## out_p

template<class T>

RecordFieldPtr<Array<T> > casacore::UnequalShapeCopier< T >::out_p

private

Definition at line 131 of file RecordFieldWriter.h.

The documentation for this class was generated from the following file:

- casa/Containers/RecordFieldWriter.h